| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingAccount Class Reference
[Account proxies]

Class containing the parameters of and the reply to an asynchronous account request. More...

`#include <TelepathyQt4/PendingAccount>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingAccount ()
- AccountManagerPtr manager () const
- AccountPtr account () const
- QString objectPath () const

## Detailed Description

Class containing the parameters of and the reply to an asynchronous account request.

Instances of this class cannot be constructed directly; the only way to get one is via AccountManager.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingAccount::~PendingAccount | ( |  | ) |

Class destructor.

## Member Function Documentation

AccountManagerPtr Tp::PendingAccount::manager | ( |  | ) | const

Return the AccountManagerPtr object through which the request was made.

Returns:
  An AccountManagerPtr object.

AccountPtr Tp::PendingAccount::account | ( |  | ) | const

Returns the newly created AccountPtr object.

Returns:
  An AccountPtr object pointing to the newly create Account object, or a null AccountPtr if an error occurred.

See also:
  objectPath()

QString Tp::PendingAccount::objectPath | ( |  | ) | const

Returns the account object path.

This method is useful for creating custom Account objects, so instead of using PendingAccount::account, one could construct a new custom account with the object path.

Returns:
  Account object path or an empty string an error occurred.